### Method

# Gtk LockButton set_permission

deprecated: 4.10

#### Declaration [src]

    void
    gtk_lock_button_set_permission (
      GtkLockButton* button,
      GPermission* permission
    )

#### Description [src]

Sets the `GPermission` object that controls `button`.

Deprecated since: 4.10

This widget will be removed in GTK 5

Sets property | `Gtk.LockButton:permission`

#### Parameters

`permission`

  Type: `GPermission`

  A `GPermission` object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.